{$A+,B-,D-,E-,F-,G+,I-,L-,N+,O-,P-,Q-,R-,S-,T-,V-,X+,Y-}
{$M 16384,0,655360}
{
 ISO-Rename

 Benennt Dateien so um, dass der Name keine Leerzeichen
 oder Umlaute beinhaltet, damit CDs problemloser von
 unterschiedlichen Betriebssystemen gelesen werden koennen.

 (c) Vogel 31.12.1997
}

USES DOS70;

VAR F:LFNFile;
VAR FindData:TFindData;
VAR S:String;
VAR i:Integer;
VAR c:char;
CONST umbenannt:word=0;

procedure hilfe;
begin
writeln('IREN (c) 1997, Martin Vogel - Freeware'#13#10#10,
        'Benennt Dateien so um, dass sie keine Leerzeichen'#13#10,
        'und Umlaute im Namen behalten.'#13#10,
        'Format: IREN (Maske)'#13#10,
        'Beispiel: IREN *.*'#13#10);
halt(1);
end;

begin
if paramcount<>1 then hilfe;
f := LFNFindFirst (paramstr(1), FA_Normal, FA_Any, FindData);
while DOS7Error = 0 do
begin
  s:='';
  for i:=1 to length(finddata.name) do
  begin
    c:=finddata.name[i];
    case c of
    #33..#126: s:=s+c;
    '':s:=s+'ae';
    '':s:=s+'oe';
    '':s:=s+'ue';
    '':s:=s+'AE';
    '':s:=s+'OE';
    '':s:=s+'UE';
    '':s:=s+'ss';
    else s:=s+'_';
    end;
  end;
  if s<>finddata.name then
  begin
    writeln(s);
    LFNRename(finddata.name,s);
    inc(umbenannt);
  end;
  LFNFindNext (f, FindData)
end;
LFNFindClose (f);
writeln;
writeln('IREN: ',umbenannt,' Dateien umbenannt.');
end.